function [LL]=LLAuctionInd1(U2);

% % (Adjust the id=1,2,3,...51, depending on the subject to be estimated)
% % (Comment the model (Level-k or Cursed) depending on what you are interested on)

id=1;
idj=(id-1)*5+1;

Data=DataKLF5;

% % Unknown parameters:

% % Level-k:
% % --------
alpha1=U2(1,1);
alpha2=U2(2,1);
alpha3=U2(3,1);
lambda=U2(4,1);

% % Cursed:
% % -------
alpha1=U2(1,1);
alpha2=U2(2,1);
alpha3=U2(3,1);
alpha4=U2(4,1);
alpha5=U2(5,1);
alpha6=U2(6,1);
alpha7=U2(7,1);
alpha8=U2(8,1);
alpha9=U2(9,1);
alpha10=U2(10,1);
lambda=U2(11,1);

Likelihood=ones(251,1);

%Define the Likelihood of observing each bid for each signal:
for t=[1 2 3 4 5];

% % Level-k:
% % --------
prob1(t,1)=probRL1([Data((idj+t-1),:) lambda]);
prob2(t,1)=probRL2([Data((idj+t-1),:) lambda]);
prob3(t,1)=probTL1([Data((idj+t-1),:) lambda]);
prob4(t,1)=probEQ([Data((idj+t-1),:) lambda]);

% % Cursed:
% % -------
prob1(t,1)=probCEQ([Data((idj+t-1),:) 0 lambda]);
prob2(t,1)=probCEQ([Data((idj+t-1),:) 0.1 lambda]);
prob3(t,1)=probCEQ([Data((idj+t-1),:) 0.2 lambda]);
prob4(t,1)=probCEQ([Data((idj+t-1),:) 0.3 lambda]);
prob5(t,1)=probCEQ([Data((idj+t-1),:) 0.4 lambda]);
prob6(t,1)=probCEQ([Data((idj+t-1),:) 0.5 lambda]);
prob7(t,1)=probCEQ([Data((idj+t-1),:) 0.6 lambda]);
prob8(t,1)=probCEQ([Data((idj+t-1),:) 0.7 lambda]);
prob9(t,1)=probCEQ([Data((idj+t-1),:) 0.8 lambda]);
prob10(t,1)=probCEQ([Data((idj+t-1),:) 0.9 lambda]);
prob11(t,1)=probCEQ([Data((idj+t-1),:) 1 lambda]);
end;

% % Level-k:
% % --------
Likelihood(idj,1)=alpha1*prod(prob1)+alpha2*prod(prob2)+...
                  alpha3*prod(prob3)+(1-alpha1-alpha2-alpha3)*prod(prob4);


% % Cursed:
% % -------
Likelihood(idj,1)=alpha1*prod(prob1)+alpha2*prod(prob2)+alpha3*prod(prob3)+...
alpha4*prod(prob4)+alpha5*prod(prob5)+alpha6*prod(prob6)+...
alpha7*prod(prob7)+alpha8*prod(prob8)+alpha9*prod(prob9)+...
alpha10*prod(prob10)+(1-alpha1-alpha2-alpha3-alpha4-alpha5-alpha6-alpha7-alpha8-alpha9-alpha10)*prod(prob11);


LogLikelihood(idj,1)=log(Likelihood(idj,1));

Likelihood;
LogLikelihood;
LL=-sum(LogLikelihood);
