clc
clear

%QRE probability for either low or high value treatment
%======================================================

% To get probability distributions for different lambda: 1 to 20
% --------------------------------------------------------------
% for i=1:20;
% [U]=fsolve('EQSystem2', (1/13)*ones(78,1), [], i);
% 
% QREprob(:,i)=U;
% end;
% QREprob

% Given lambda to draw the probability distributions for QRE, change
% EQSystem 1 if low value treatment:
% ------------------------------------------------------------------
lambda=2.88;

[U]=fsolve('EQSystem1', (1/13)*ones(78,1), [], lambda);

QREprob=[U(1:13,1) U(14:26,1) U(27:39,1) U(40:52,1) U(53:65,1) U(66:78,1)]
[sum(QREprob(:,1)) sum(QREprob(:,2)) sum(QREprob(:,3)) sum(QREprob(:,4)) sum(QREprob(:,5)) sum(QREprob(:,6))]

b(1,1)=0;
for i=2:13;
    b(i,1)=b(i-1,1)+1;
end;
b;

plot(b,QREprob(:,1));
hold on;
axis([0 12 0 1])
plot(b,QREprob(:,2));
hold on;
plot(b,QREprob(:,3));
hold on;
plot(b,QREprob(:,4));
hold on;
plot(b,QREprob(:,5));
hold on;
plot(b,QREprob(:,6));
hold off;
