function [probRL1]=probRL1(U);

g=U(1,1);
n=U(1,2);
a=U(1,3);
vlow=U(1,4);
vup=U(1,5);
x=U(1,6);
b=U(1,7);
lambda=U(1,8);

cpi1=1.1952;
cpi2=1;
cpi3=1.3887;
cpi4=1.2944;

% % Kagel and Levin: First-Price
% % ----------------------------
if g==1;
    if b<=x-a;
    EP=0;
    else;
        if b<=x+a;
    EP=(x-b)*((b-x+a)/(2*a))^(n-1);
        else;
    EP=(x-b);
        end;
    end;

% % Denominator of the logit:
if max(x-a/2,vlow)==x-a/2 & min(x+a/2,vup)==x+a/2;
b(1,1)=x-a/2;
for i=2:(a*100+1);
    b(i,1)=b(i-1,1)+.01;
end;
for i=1:(a*100+1);
    if b(i,1)<=x-a;
    EPT(i,1)=0;
    else;
        if b(i,1)<=x+a;
    EPT(i,1)=(x-b(i,1))*((b(i,1)-x+a)/(2*a))^(n-1);
        else;
    EPT(i,1)=(x-b(i,1));
        end;
    end;
q(i,1)=exp((1/cpi1)*lambda*EPT(i,1));
end;
else;
    if max(x-a/2,vlow)==vlow & min(x+a/2,vup)==x+a/2;
b(1,1)=vlow;
for i=2:((x+a/2-vlow)*100+1);
    b(i,1)=b(i-1,1)+.01;
end;
for i=1:((x+a/2-vlow)*100+1);
    if b(i,1)<=x-a;
    EPT(i,1)=0;
    else;
        if b(i,1)<=x+a;
    EPT(i,1)=(x-b(i,1))*((b(i,1)-x+a)/(2*a))^(n-1);
        else;
    EPT(i,1)=(x-b(i,1));
        end;
    end;
q(i,1)=exp((1/cpi1)*lambda*EPT(i,1));
end;
    else;
b(1,1)=x-a/2;
for i=2:((vup-x+a/2)*100+1);
    b(i,1)=b(i-1,1)+.01;
end;
for i=1:((vup-x+a/2)*100+1);
    if b(i,1)<=x-a;
    EPT(i,1)=0;
    else;
        if b(i,1)<=x+a;
    EPT(i,1)=(x-b(i,1))*((b(i,1)-x+a)/(2*a))^(n-1);
        else;
    EPT(i,1)=(x-b(i,1));
        end;
    end;
q(i,1)=exp((1/cpi1)*lambda*EPT(i,1));
end;
    end;
end;
Q=sum(q);
probRL1=exp((1/cpi1)*lambda*EP)/Q;
else;

% % Kagel and Levin: Second-Price
% % -----------------------------
if g==2;
    if b<=x-a;
    EP=0;
    else;
        if b<=x+a;
    EP=(x-b)*((b-x+a)/(2*a))^(n-1)+(2*a/n)*((b-x+a)/(2*a))^n;
        else;
    EP=(a*(2-n)/n);
        end;
    end;
    
% % Denominator of the logit:
if max(x-a/2,vlow)==x-a/2 & min(x+a/2,vup)==x+a/2;
b(1,1)=x-a/2;
for i=2:(a*100+1);
    b(i,1)=b(i-1)+.01;
end;
for i=1:(a*100+1);
    if b(i,1)<=x-a;
    EPT(i,1)=0;
    else;
        if b(i,1)<=x+a;
    EPT(i,1)=(x-b(i,1))*((b(i,1)-x+a)/(2*a))^(n-1)+(2*a/n)*((b(i,1)-x+a)/(2*a))^n;
        else;
    EPT(i,1)=(a*(2-n)/n);
        end;
    end;
q(i,1)=exp((1/cpi2)*lambda*EPT(i,1));
end;
else;
    if max(x-a/2,vlow)==vlow & min(x+a/2,vup)==x+a/2;
b(1,1)=vlow;
for i=2:((x+a/2-vlow)*100+1);
    b(i,1)=b(i-1)+.01;
end;
for i=1:((x+a/2-vlow)*100+1);
    if b(i,1)<=x-a;
    EPT(i,1)=0;
    else;
        if b(i,1)<=x+a;
    EPT(i,1)=(x-b(i,1))*((b(i,1)-x+a)/(2*a))^(n-1)+(2*a/n)*((b(i,1)-x+a)/(2*a))^n;
        else;
    EPT(i,1)=(a*(2-n)/n);
        end;
    end;
q(i,1)=exp((1/cpi2)*lambda*EPT(i,1));
end;
    else;
b(1,1)=x-a/2;
for i=2:((vup-x+a/2)*100+1);
    b(i,1)=b(i-1)+.01;
end;
for i=1:((vup-x+a/2)*100+1);
    if b(i,1)<=x-a;
    EPT(i,1)=0;
    else;
        if b(i,1)<=x+a;
    EPT(i,1)=(x-b(i,1))*((b(i,1)-x+a)/(2*a))^(n-1)+(2*a/n)*((b(i,1)-x+a)/(2*a))^n;
        else;
    EPT(i,1)=(a*(2-n)/n);
        end;
    end;
q(i,1)=exp((1/cpi2)*lambda*EPT(i,1));
end;
    end;
end;
Q=sum(q);
probRL1=exp((1/cpi2)*lambda*EP)/Q;
else;

% % Avery and Kagel: First-Price (No Data Obtained)
% % -----------------------------------------------
if g==3;
EP=(x/2+1/4-b)*b;

% % Denominator of the logit:
b(1,1)=0;
for i=2:101;
    b(i,1)=b(i-1,1)+.01;
end;
for i=1:101;
EPT(i,1)=(x/2+1/4-b(i,1))*b(i,1);
q(i,1)=exp((1/cpi3)*lambda*EPT(i,1));
end;
Q=sum(q);
probRL1=exp((1/cpi3)*lambda*EP)/Q;
else;

% % Avery and Kagel: Second-Price
% % -----------------------------
    if b<=2;
    EP=0;
    else;
        if b<=8;
    EP=(((b-2)/6)*(x+5/2-b)+(b-2)^2*(1/12));
        else;
    EP=(x-5/2);
        end;
    end;
    
% % Denominator of the logit:
b(1,1)=2;
for i=2:601;
    b(i,1)=b(i-1,1)+.01;
end;
for i=1:601;
    if b(i,1)<=2;
    EPT(i,1)=0;
    else;
        if b(i,1)<=8;
    EPT(i,1)=(((b(i,1)-2)/6)*(x+5/2-b(i,1))+(b(i,1)-2)^2*(1/12));
        else;
    EPT(i,1)=(x-5/2);
        end;
    end;
q(i,1)=exp((1/cpi4)*lambda*EPT(i,1));
end;
Q=sum(q);
probRL1=exp((1/cpi4)*lambda*EP)/Q;
end;
end;
end;

    